Bug 736719 - SELinux is preventing /usr/libexec/postfix/bounce from 'search' accesses on the directory /var/spool/postfix/defer.
Summary: SELinux is preventing /usr/libexec/postfix/bounce from 'search' accesses on t...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 15
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:194c0fe4104...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-08 14:01 UTC by Joel Uckelman
Modified: 2011-12-04 02:35 UTC (History)
9 users (show)

Fixed In Version: selinux-policy-3.9.16-48.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-04 02:35:03 UTC


Attachments (Terms of Use)

Description Joel Uckelman 2011-09-08 14:01:54 UTC
SELinux is preventing /usr/libexec/postfix/bounce from 'search' accesses on the directory /var/spool/postfix/defer.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that bounce should be allowed search access on the defer directory by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep bounce /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:postfix_bounce_t:s0
Target Context                system_u:object_r:postfix_spool_maildrop_t:s0
Target Objects                /var/spool/postfix/defer [ dir ]
Source                        bounce
Source Path                   /usr/libexec/postfix/bounce
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           postfix-2.8.4-1.fc15
Target RPM Packages           postfix-2.8.4-1.fc15
Policy RPM                    selinux-policy-3.9.16-38.fc15
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 2.6.40.4-5.fc15.x86_64 #1
                              SMP Tue Aug 30 14:38:32 UTC 2011 x86_64 x86_64
Alert Count                   6
First Seen                    Thu 08 Sep 2011 11:45:35 AM CEST
Last Seen                     Thu 08 Sep 2011 03:54:55 PM CEST
Local ID                      e50a5a92-fade-4aa9-98aa-6118a4c6c404

Raw Audit Messages
type=AVC msg=audit(1315490095.141:158): avc:  denied  { search } for  pid=21712 comm="bounce" name="defer" dev=dm-2 ino=13894152 scontext=system_u:system_r:postfix_bounce_t:s0 tcontext=system_u:object_r:postfix_spool_maildrop_t:s0 tclass=dir


type=SYSCALL msg=audit(1315490095.141:158): arch=x86_64 syscall=open success=no exit=EACCES a0=7f8c9bf2daa0 a1=441 a2=180 a3=1 items=0 ppid=1229 pid=21712 auid=4294967295 uid=89 gid=89 euid=89 suid=89 fsuid=89 egid=89 sgid=89 fsgid=89 tty=(none) ses=4294967295 comm=bounce exe=/usr/libexec/postfix/bounce subj=system_u:system_r:postfix_bounce_t:s0 key=(null)

Hash: bounce,postfix_bounce_t,postfix_spool_maildrop_t,dir,search

audit2allow

#============= postfix_bounce_t ==============
allow postfix_bounce_t postfix_spool_maildrop_t:dir search;

audit2allow -R

#============= postfix_bounce_t ==============
allow postfix_bounce_t postfix_spool_maildrop_t:dir search;

Comment 1 Miroslav Grepl 2011-09-09 08:02:16 UTC
Fixed in selinux-policy-3.9.16-40.fc15

Comment 2 Bojan Smojver 2011-09-22 03:52:50 UTC
(In reply to comment #1)
> Fixed in selinux-policy-3.9.16-40.fc15

Can we get that build in testing?

Comment 3 Miroslav Grepl 2011-09-22 08:44:47 UTC
Yes. Will do it today.

Comment 4 Bojan Smojver 2011-09-27 23:45:38 UTC
(In reply to comment #3)
> Yes. Will do it today.

Can we get that in testing?

Comment 5 Miroslav Grepl 2011-09-29 08:19:40 UTC
I have an update in testing. Could you test it the package from the koji for now


http://koji.fedoraproject.org/koji/buildinfo?buildID=265538

Comment 6 Joel Uckelman 2011-09-29 09:22:24 UTC
After installing the build from Koji, I now get Bug 740274.

Comment 7 Fedora Update System 2011-11-16 16:16:57 UTC
selinux-policy-3.9.16-48.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/selinux-policy-3.9.16-48.fc15

Comment 8 Fedora Update System 2011-11-17 23:35:19 UTC
Package selinux-policy-3.9.16-48.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.9.16-48.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-16023/selinux-policy-3.9.16-48.fc15
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2011-12-04 02:35:03 UTC
selinux-policy-3.9.16-48.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.